/*****************************************************************************
KP3 の色々パラメータ

*****************************************************************************/
#ifndef _KP3PARAMETERL_H
#define _KP3PARAMETERL_H

// KP3の設定用CC
#define FX_TOUCHPAD_X	12
#define FX_TOUCHPAD_Y	13
#define FX_PAD_SWITCH	92
#define FX_LEVELSLIDER	93
#define FX_DEPTH		94
#define FX_HOLD			95

// サンプルnote No
#define	SMP_BANKA	36	// BANK_A
#define	SMP_BANKB	37	// BANK_A
#define	SMP_BANKC	38	// BANK_A
#define	SMP_BANKD	39	// BANK_A

// effecter番号
#define FX_LPF			0		// FLt.1	LPF (Low Pass Filter)
#define FX_HPF			1  		// FLt.2	HPF (High Pass Filter)
#define FX_BPFp			2		// FLt.3	BPF+ (Band Pass Filter+)
#define FX_72DB			3		// FLt.4	LPF 72dB/oct LPF
#define FX_LPFnDELAY	4		// FLt.5	LPF & Delay
#define FX_HPFnDELAY	5		// FLt.6	HPF & Delay
#define FX_BPFpnDELAY	6		// FLt.7	BPF+ & Delay
#define FX_LPFnREVERB	7		// FLt.8	LPF & Reverb
#define FX_HPFnREVERB	8		// FLt.9	HPF & Reverb
#define FX_BPFpnRVB		9		// FL.10	BPF+&Reverb
#define FX_MORPHFILT	10		// FL.11	Morphing Filter
#define FX_RADIOFILT	11		// FL.12	Radio Filter
#define FX_RADIOISO		12		// FL.13	Radio Isolator
#define FX_ISOLATOR		13		// FL.14	Isolator
#define FX_ISOnDIST		14		// FL.15	Isolator & Distortion
#define FX_ISOnDELAY	15		// FL.16	Isolator & Delay
#define FX_4BANDEQ		16		// Eq.01	4 band Equalizer
#define FX_8BANDEQ		17		// Eq.02	8 band Equalizer
#define FX_JET			18		// Mod.1	Jet (Manual Flanger)
#define FX_MANUPHASER	19		// Mod.2	Manual Phaser
#define FX_TALKFILTER	20		// Mod.3	Talk Filter
#define FX_DIGITALK		21		// Mod.4	Digi Talk
#define FX_RINGMODnHP	22		// Mod.5	Ring Mod & HPF
#define FX_PITCHSHIFT	23		// Mod.6	Pitch Shifter & HPF
#define FX_MIDPITCH		24		// Mod.7	Mid Pitch Shifter
#define FX_PITCHnDLY	25		// Mod.8	Pitch Shifter & Delay
#define FX_BROKENMOD	26		// Mod.9	Broken Modulation
#define FX_FUZZDIST		27		// Md.10	Fuzz Distortion
#define FX_DECIMATOR	28		// Md.11	Decimator
#define FX_DECIMAnHPF	29		// Md.12	Decimator & HPF
#define FX_COMPRESSOR	30		// CMP.1	Compressor
#define FX_LOWCOMP		31		// CMP.2	Low Compressor
#define FX_LFO_LPF		32		// LFO.1	LFO LPF
#define FX_LFO_HPF		33		// LFO.2	LFO HPF
#define FX_LFO_BPFp		34		// LFO.3	LFO BPF+
#define FX_LFO_HPnDLY	35		// LFO.4	LFO HPF+ & Delay
#define FX_INFINITHPp	36		// LFO.5	Infinit LFO HPF+
#define FX_RANDOMLPF	37		// LFO.6	Random LFO LPF
#define FX_RANDOMHPFp	38		// LFO.7	Random LFO HPF+
#define FX_FLANGER		39		// LFO.8	Flanger
#define FX_DEEPFLANGE	40		// LFO.9	Deep Flanger
#define FX_MIDFLANGER	41		// LF.10	Mid Flanger
#define FX_FLANGEnLPF	42		// LF.11	Flanger & LPF Flanger
#define FX_FLANGEnDLY	43		// LF.12	Flanger & Delay
#define FX_INFINIFLNG	44		// LF.13	Infinit LFO Flanger
#define FX_PHASER		45		// LF.14	Phaser
#define FX_MIDPHASER	46		// LF.15	Mid Phaser
#define FX_PHASERnDLY	47		// LF.16	Phaser & Delay
#define FX_STEPPHASER	48		// LF.17	Step Phaser
#define FX_AUTOPAN		49		// LF.18	Auto Pan
#define FX_MIDAUTOPAN	50		// LF.19	Mid Auto Pan
#define FX_SLICER		51		// LF.20	Slicer
#define FX_MIDSLICER	52		// LF.21	Mid Slicer
#define FX_SLICERnLPF	53		// LF.22	Slicer & LPF
#define FX_SLICERnHPF	54		// LF.23	Slicer & HPF
#define FX_GATEnLPF		55		// LF.24	Audio Gate & LPF
#define FX_GATEnHPF		56		// LF.25	Audio Gate & HPF
#define FX_DELAY		57		// dLY.1	Delay
#define FX_SMOOTHDLY	58		// dLY.2	Smooth Delay
#define FX_LOWCUTDLY	59		// dLY.3	Low Cut Delay
#define FX_PINGPONGDL	60		// dLY.4	Ping Pong Delay
#define FX_LCR			61		// dLY.5	Delay LCR Delay
#define FX_3BANDDELAY	62		// dLY.6	3 band Delay
#define FX_MULTITAPDL	63		// dLY.7	Multi Tap Delay
#define FX_BPF			64		// dLY.8	Slide BPF Time
#define FX_REVERSEDLY	65		// dLY.9	Reverse Delay & HPF
#define FX_RVSDLYMIX	66		// dL.10	Reverse Delay Mix
#define FX_3BANDRVSDL	67		// dL.11	3 band Reverse Delay
#define FX_GATERVBDLY	68		// dL.12	Gate Reverb & Delay
#define FX_DELAYnRVB	69		// dL.13	Delay & Reverb
#define FX_TAPEECHO		70		// dL.14	Tape Echo
#define FX_DUBECHO		71		// dL.15	Dub Echo
#define FX_FDBCKECHO	72		// dL.16	Feedback Echo
#define FX_REVERB		73		// rVb.1	Reverb
#define FX_REVERB2		74		// rVb.2	Reverb 2
#define FX_SPRINGRVB	75		// rVb.3	Spring Reverb
#define FX_GATEREVERB	76		// rVb.4	Gate Reverb
#define FX_REVERSGATE	77		// rVb.5	Reverse Gate
#define FX_3BANDGATER	78		// rVb.6	3 band Gate Reverb
#define FX_GRAINSHIFT	79		// Grn.1	Grain Shifter
#define FX_MIDGRAIN		80		// Grn.2	Mid Grain Shifter
#define FX_MIDGRAINp	81		// Grn.3	Mid Grain Shifter+
#define FX_GRAINnHPF	82		// Grn.4	Grain&HPF
#define FX_GRAINnHPFp	83		// Grn.5	Grain&HPF+
#define FX_LOOPERF_R	84		// LoP.1	Looper Forward/Rverse
#define FX_VINYLLOOP	85		// LoP.2	Vinyl Looper
#define FX_REWINDLOOP	86		// LoP.3	Rewind Spin Looper
#define FX_LOOPERnLPF	87		// LoP.4	Looper & LPF
#define FX_LOOPERnHPF	88		// LoP.5	Looper & HPF
#define FX_LOOPnFLANG	89		// LoP.6	Looper & Flanger
#define FX_LOOPnPITCH	90		// LoP.7	Looper & Pitch
#define FX_LOOPnDECIM	91		// LoP.8	Looper & Decimator
#define FX_LOOPISOnHP	92		// LoP.9	Looper, Isolator & HPF
#define FX_LOOPnISOp	93		// LP.10	Looper & Isolator+
#define FX_BASSLOOPER	94		// LP.11	Bass Looper
#define FX_LOOPnOSC		95		// LP.12	Looper & Oscillator
#define FX_LOOPnNOISE	96		// LP.13	Looper & Noise
#define FX_SMPLENDPNT	97		// SMP.1	Sample End Point 
#define FX_SMPLROLL		98		// SMP.2	Sample Roll
#define FX_SMPLFW_RVS	99		// SMP.3	Sample Forward/Reverse
#define FX_SMPFASTF_R	100		// SMP.4	Sample Fast Forward/Reverse
#define FX_SMPLF_RnDL	101		// SMP.5	Sample Forward/Reverse & Delay Reverse
#define FX_SMPLSTRTCH	102		// SMP.6	Sample Time Stretch
#define FX_SMPLGRAIN	103		// SMP.7	Sample Grain
#define FX_4SMPXFADER	104		// CrS.1	4 sample bank Cross Fader Roll
#define FX_XFADESTRCH	105		// CrS.2	4 sample bank Cross Fader Time Stretch
#define FX_XFADEnLPF	106		// CrS.3	4 sample bank Cross Fader & LPF
#define FX_XFADEnHPF	107		// CrS.4	4 sample bank Cross Fader & HPF
#define FX_HOUSEBEAT	108		// drM.1	House Beat
#define FX_BEATBOX		109		// drM.2	Beat Box
#define FX_TRIBALBEAT	110		// drM.3	Tribal Beat
#define FX_ELECTRBEAT	111		// drM.4	Electro Beat
#define FX_PADDRUM1		112		// drM.5	Pad Drum 1
#define FX_PADDRUM2		113		// drM.6	Pad Drum 2
#define FX_SAWBASS		114		// SYn.1	Unison Saw Bass
#define FX_SQUBASS		115		// SYn.2	Unison Squ Bass
#define FX_SAWSYNTH		116		// SYn.3	Unison Saw Synth
#define FX_SQUSYNTH		117		// SYn.4	Unison Squ Synth
#define FX_METALICSYN	118		// SYn.5	Metalic Synth
#define FX_SIREN		119		// SYn.6	Siren
#define FX_LFOSIN		120		// SYn.7	LFO Sin Synth
#define FX_LFOSQU		121		// SYn.8	LFO Squ Synth
#define FX_NOISE		122		// SYn.9	Noise
#define FX_SYNLOOPER	123		// SY.10	Synth & Looper
#define FX_VOCODER		124		// Voc.1	Vocoder
#define FX_VOCODER_M7	125		// Voc.2	Vocoder Maj7
#define FX_VOCODER_M7	126		// Voc.3	Vocoder min7
#define FX_VOCODERMIX	127		// Voc.4	Vocoder Mix

#endif //_KP3PARAMETERL_H     
